PKG-REGISTER(1)

NAME
pkg register - registers a package into the local package database

SYNOPSIS
pkg register [-ld] -f <plist-file> -m <metadatadir> -a <arch> -i <input-path>

DESCRIPTION
pkg register is used for registering a package into the local package database.

OPTIONS
The following options are supported by pkg register:

-l  Tells pkg register to treat the package to be registered as a legacy one (old style package)

-d  Mark the package for registering as orphan. Will be automatically removed if no other packages depend on it. For more information please refer to pkg-autoremove(1)

-f <plist-file>
    Specifies the packing list file

-m <metadatadir>
    Specifies the meta data directory to use when registering the package

-a <arch>
    Specifies the package arch. If this option is not set then the arch will be automatically detected upon package registration.

-i <input-path>
    Specifies the package input path.

    < To be completed >

ENVIRONMENT
The following environment variables affect the execution of pkg register. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(1), pkg-add(1), pkg-autoremove(1), pkg-search(1), pkg-backup(1), pkg-install(1), pkg-delete(1), pkg-info(1), pkg-create(1), pkg-repo(1), pkg-update(1), pkg-upgrade(1), pkg-version(1), pkg-which(1), pkg.conf(5)